Name:          xrdp
Version:       0.10.0
Release:       1mamba
Summary:       Provides a graphical login to remote machines using Microsoft Remote Desktop Protocol (RDP)
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/neutrinolabs/xrdp
Source:        https://github.com/neutrinolabs/xrdp.git/v%{version}/xrdp-%{version}.tar.bz2
Source1:       xrdp-openssl.conf
Patch0:        xrdp-0.9.15-startwm-openmamba.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrandr-devel
BuildRequires: libfuse-devel
BuildRequires: libjpeg-devel
BuildRequires: liblame-devel
BuildRequires: libopenssl-devel
BuildRequires: libopus-devel
BuildRequires: libpam-devel
BuildRequires: libpixman-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      xorgxrdp
Requires:      xinit >= 1.4.1-2mamba
Requires:      xorg-server

%description
xrdp provides a graphical login to remote machines using Microsoft Remote Desktop Protocol (RDP). xrdp accepts connections from a variety of RDP clients: FreeRDP, rdesktop, NeutrinoRDP and Microsoft Remote Desktop Client (for Windows, Mac OS, iOS and Android).
RDP transport is encrypted using TLS by default.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
%patch 0 -p1

./bootstrap

sed -i "s|param=Xorg|param=%{_libexecdir}/Xorg|" sesman/sesman.ini.in

%build
%configure \
   --sbindir=%{_bindir} \
   --enable-jpeg \
   --enable-tjpeg \
   --enable-fuse \
   --enable-opus \
   --enable-rfxcodec \
   --enable-mp3lame \
   --enable-pixman \
   --enable-painter \
   --enable-vsock

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xrdp/openssl.conf

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_post xrdp
%systemd_post xrdp-sesman
:

%preun
%systemd_preun xrdp
%systemd_preun xrdp-sesman
:

%postun
%systemd_postun xrdp
%systemd_postun xrdp-sesman
:

%posttrans
if [ ! -s %{_sysconfdir}/xrdp/rsakeys.ini ]; then
  (umask 377; touch %{_sysconfdir}/xrdp/rsakeys.ini; %{_bindir}/xrdp-keygen xrdp %{_sysconfdir}/xrdp/rsakeys.ini &>/dev/null)
fi

if [ ! -s %{_sysconfdir}/xrdp/cert.pem ]; then
  (umask 377; openssl req -x509 -newkey rsa:2048 -sha256 -nodes -days 3652 \
    -keyout %{_sysconfdir}/xrdp/key.pem \
    -out %{_sysconfdir}/xrdp/cert.pem \
    -config %{_sysconfdir}/xrdp/openssl.conf >/dev/null 2>&1)
fi
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sysconfdir}/pam.d/xrdp-sesman
%dir %{_sysconfdir}/xrdp
%config(noreplace) %{_sysconfdir}/xrdp/*.ini
%config(noreplace) %{_sysconfdir}/xrdp/openssl.conf
%{_sysconfdir}/xrdp/reconnectwm.sh
%{_sysconfdir}/xrdp/startwm.sh
%dir %{_sysconfdir}/xrdp/pulse
%config(noreplace) %{_sysconfdir}/xrdp/pulse/default.pa
%exclude %ghost %{_sysconfdir}/xrdp/cert.pem
%exclude %ghost %{_sysconfdir}/xrdp/key.pem
%exclude %ghost %{_sysconfdir}/xrdp/rsakeys.ini
%{_bindir}/xrdp
%{_bindir}/xrdp-*
%{_unitdir}/xrdp-sesman.service
%{_unitdir}/xrdp.service
%dir %{_datadir}/xrdp
%{_datadir}/xrdp/*
%{_mandir}/man1/xrdp-dis.1*
%{_mandir}/man5/sesman.ini.5*
%{_mandir}/man5/xrdp.ini.5*
%{_mandir}/man8/xrdp*.8*
%doc COPYING

%files -n lib%{name}
%defattr(-,root,root)
%dir %{_libdir}/xrdp
%{_libdir}/xrdp/lib*.so.*
%dir %{_libexecdir}/xrdp
%{_libexecdir}/xrdp/waitforx
%{_libexecdir}/xrdp/xrdp-sesexec

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libpainter.a
%{_libdir}/librfxencode.a
%{_libdir}/xrdp/lib*.a
%{_libdir}/xrdp/lib*.so
%{_libdir}/pkgconfig/libpainter.pc
%{_libdir}/pkgconfig/rfxcodec.pc
%{_libdir}/pkgconfig/xrdp.pc
#%doc README.md

%changelog
* Thu May 16 2024 Automatic Build System <autodist@openmamba.org> 0.10.0-1mamba
- automatic version update by autodist

* Thu Mar 14 2024 Automatic Build System <autodist@openmamba.org> 0.9.25.1-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 0.9.25-1mamba
- automatic version update by autodist

* Sun Dec 31 2023 Automatic Build System <autodist@mambasoft.it> 0.9.24-1mamba
- automatic version update by autodist

* Thu Sep 28 2023 Automatic Build System <autodist@mambasoft.it> 0.9.23.1-1mamba
- automatic version update by autodist

* Thu Aug 31 2023 Automatic Build System <autodist@mambasoft.it> 0.9.23-1mamba
- automatic version update by autodist

* Wed May 24 2023 Automatic Build System <autodist@mambasoft.it> 0.9.22.1-1mamba
- automatic version update by autodist

* Sun May 07 2023 Automatic Build System <autodist@mambasoft.it> 0.9.22-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 0.9.21.1-1mamba
- automatic version update by autodist

* Tue Dec 13 2022 Automatic Build System <autodist@mambasoft.it> 0.9.21-1mamba
- automatic version update by autodist

* Sat Sep 17 2022 Automatic Build System <autodist@mambasoft.it> 0.9.20-1mamba
- automatic version update by autodist

* Tue Mar 22 2022 Automatic Build System <autodist@mambasoft.it> 0.9.19-1mamba
- automatic version update by autodist

* Thu Sep 02 2021 Automatic Build System <autodist@mambasoft.it> 0.9.17-1mamba
- automatic version update by autodist

* Thu Jul 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.16-2mamba
- security fix: remove prebuilt cert and key forcing to generate them in %posttrans

* Sat May 01 2021 Automatic Build System <autodist@mambasoft.it> 0.9.16-1mamba
- automatic version update by autodist

* Thu Feb 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.15-2mamba
- rebuilt with many configure enable options
- configuration changes for openmamba

* Thu Feb 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.15-1mamba
- package created using the webbuild interface
